# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "revm-helpers"
version = "0.3.6"
authors = ["Lazymio <mio@lazym.io>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Revm helpers"
readme = false
license = "GPL-2.0-only"

[lib]
name = "revm_helpers"
path = "src/lib.rs"

[dependencies.alloy]
version = "1.1"

[dependencies.alloy-chains]
version = "0.2"

[dependencies.alloy-eip2930]
version = "0.2"

[dependencies.auto_impl]
version = "1.0"

[dependencies.color-eyre]
version = "0.6"

[dependencies.fast_rands]
version = "0.15.4"

[dependencies.reqwest]
version = "0.13"
features = ["json"]

[dependencies.revm]
version = "33.1.0"
features = ["dev"]

[dependencies.revm-inspectors]
version = "0.33"

[dependencies.serde]
version = "1.0"

[dependencies.serde_json]
version = "1.0"

[dependencies.tracing]
version = "0.1"

[dependencies.yansi]
version = "1.0"

[dev-dependencies.tokio]
version = "1.0"
